{% extends "base.html" %}
{% load client_utils %}

{% block title %}Analyse besoins{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item">
    {% if client_url_name %}<a href="{% url client_url_name client.pk %}">{% endif %}
    {{ client.nom_prenom }}{% if client_url_name %}</a>{% endif %}
</li>
<li class="breadcrumb-item active" aria-current="page">Besoins</li>
{% endblock %}

{% block content %}
    <div class="row">
        <div class="col"><h2>
            {{ client.noms }} {{ client.prenoms }} {% services_as_icons client current_app 'p-2' %}
        </h2></div>
        <div class="col">
            <a href="{% url 'besoins:q-intro' client.pk %}" class="btn btn-secondary">Démarrer un nouveau questionnaire</a>
        </div>
    </div>
    <div class="row mt-2 mb-2">
      <div class="col">
        {% include current_app|add:'/client_tabs.html' with active='besoins' %}
      </div>
    </div>
{% for quest in questionnaires %}
    <details{% if forloop.first %} open{% endif %}>
        <summary><span class="fw-bold fs-4">Questionnaire du {{ quest.created|date:'d.m.Y' }}</span>, rempli par {{ quest.collab }}
        {% if not quest.quest_ok and not quest.non_repondu %} <a href="{% url 'besoins:questionnaire' client.pk quest.pk 'environnement' %}" class="btn btn-secondary">Poursuivre le questionnaire</a>{% endif %}
        </summary>
        {% include 'besoins/resume.html' with print_rems=True %}
    </details>
{% empty %}
    <p><i>Aucun questionnaire à ce jour.</i></p>
{% endfor %}
{% endblock %}
